import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/VReddy913/0d83971c55cabf6c52808c022b92917c/raw/6559ad0d04a73c0f1b3c9881bc824ec829ee51c4/ICE7-3.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = (d) => {
			d.date = new Date(d.date),
      d.year = d.date.getFullYear(),
      d.air_pressure = +d.air_pressure,
      d.air_temperature_avg = +d.air_temperature_avg,
      d.air_temperature_max = +d.air_temperature_max,
      d.air_temperature_min = +d.air_temperature_min,
      d.relative_humidity = +d.relative_humidity,
      d.precipitation = +d.precipitation,
      d.wind_speed = +d.wind_speed
      return d;
    };
    csv(csvUrl, row).then((data) => {
      setData(data
              //.slice(0, 50)
							.sort(function(a, b) {
      					return d3.ascending(a.date, b.date)
							})
			);
    });
  }, []);
  return data;
};